//Info
function check_info(fr)
{
  if(fr.title.value=="")
  {
    alert('标题不能为空！');
	fr.title.focus();
	return false
  }
  if(fr.title.value.length<5)
  {
     alert('标题也太短了吧！')
     fr.title.focus();
     return false
   }
  if(editor.html()=="")
  {
     alert("内容不能为空！");
     return false
   }
   if(editor.html().length<10)
   {
      alert('内容也太少了吧！');
      return false
    }
  fr.content.value=editor.html();//解决谷歌浏览器不兼容
  return true
}
//Class
function check_class(fr)
{
  if (fr.names.value=="")
  {
    alert('分类名称不能为空!');
	fr.names.focus();
	return false
  }
  if (fr.html.value=="")
  {
    alert('生成目录不能为空!');
	fr.html.focus();
	return false
  }
  if (fr.title.value=="")
  {
    alert('分类标题不能为空!');
	fr.title.focus();
	return false
  }
  return true
}

//模板选择,图片上传等
function Open_w(t0,t1,t2,t3,t4)
{
	var t6=showModalDialog(t0,t3,'dialogWidth:'+t1+'pt;dialogHeight:'+t2+'pt;status:no;help:no;;');
	if (t6!=null) t4.value=t6;
	
}
//广告
function check_ad(fr)
{
  if (fr.title.value=="")
  {
    alert('名称不能为空!');
	fr.title.focus();
	return false
  }
  if(document.getElementById('a1').style.display=="inline")
  {
     if(fr.pic.value=="")
	 {
	   alert('图片地址不能为空！');
	   fr.pic.focus();
	   return false
	 }
  }
  if(document.getElementById('a3').style.display=="inline")
  {
    if(fr.code.value=="")
	{
	  alert('广告代码不能为空！');
	  return false
	}
  }
  return true
}
function checkad(ad)
{
  if(ad==0)
  {    
     document.getElementById('a1').style.display="";
	 document.getElementById('a2').style.display="";
	 document.getElementById('a3').style.display="none";
	 document.getElementById('a4').style.display="";
	 document.getElementById('a5').style.display="";
  }
  if(ad==1)
  {
     document.getElementById('a1').style.display="none";
	 document.getElementById('a2').style.display="none";
	 document.getElementById('a3').style.display="";
	 document.getElementById('a4').style.display="none";
	 document.getElementById('a5').style.display="none";
  }
  if(ad==2)
  {
     document.getElementById('a1').style.display="";
	 document.getElementById('a2').style.display="";
	 document.getElementById('a3').style.display="none";
	 document.getElementById('a4').style.display="none";
	 document.getElementById('a5').style.display="";
  }
}
//内链
function check_key(fr)
{
  if(fr.title.value=="")
  {
    alert('名称不能为空!');
	fr.title.focus();
	return false
  }
  if(fr.link.value=="")
  {
    alert('链接不能为空!');
	fr.link.focus();
	return false
  }
   return true
}
//自定义标签
function check_label(fr)
{
  if(fr.label.value=="")
  {
    alert('标签不能为空!');
	fr.label.focus();
	return false
  }
  if(fr.content.value=="")
  {
    alert('内容不能为空!');
	fr.content.focus();
	return false
  }
   return true
}
//友情链接
function check_link(fr)
{
  if(fr.title.value=="")
  {
    alert('名称不能为空!');
	fr.title.focus();
	return false
  }
  if(fr.link.value=="")
  {
    alert('链接不能为空!');
	fr.link.focus();
	return false
  }
   return true
}
//客服
function check_kefu(fr)
{
  if(fr.user.value=="QQ号、旺旺号、手机号")
  {
    alert('请输入客服号码！');
	fr.user.value="";
	fr.user.focus();
	return false
  }
  if(fr.user.value=="")
  {
    alert('帐号不能为空！');
	fr.user.focus();
	return false
  }  
  return true
}
//配置
function check_web(fr)
{
  if(fr.cf_name.value=="")
  {
    alert('网站名称不能为空！');
	fr.cf_name.focus();
	return false
  }
  if(fr.cf_host.value=="")
  {
    alert('网站域名不能为空！');
	fr.cf_host.focus();
	return false
  }
  if(fr.cf_root.value=="")
  {
     alert('安装目录不能为空！');
	 fr.cf_root.focus();
	 return false
  }
  if(fr.cf_title.value=="")
  {
    alert('首页标题不能为空！');
	fr.cf_title.focus();
	return false
  }
  var dir=document.getElementsByName("isdata")
  for(var i=0;i<dir.length;i++)
  { 
    if(dir[i].checked==true)
	{
	  if(dir[i].value==1)
	  {
		  if(fr.sql_ip.value=="")
		  {
		    alert('数据库IP不能为空！');
			fr.sql_ip.focus();
			return false
		  }
		  if(fr.sql_data.value=="")
		  {
		    alert('数据库名称不能为空！');
			fr.sql_data.focus();
			return false
		  }
		  if(fr.sql_user.value=="")
		  {
		    alert('数据库用户名不能为空！');
			fr.sql_user.focus();
			return false
		  }
		  if(fr.sql_pass.value=="")
		  {
		    alert('数据库密码不能为空！');
			fr.sql_pass.focus();
			return false
		  }
	   }
	   if(dri[i].value==0)
	   {
	     if(fr.cf_data.value=="")
		 {
		   alert('数据库名不能为空！');
		   return false
		 }
	   }
	 }
   } 
  return true
}
//密码
function check_pass(fr)
{
  if(fr.pass1.value=="")
  {
     alert('原密码不能为空！');
	 fr.pass1.focus();
	 return false
  }
  if(fr.pass2.value=="")
  {
    alert('新密码不能为空！');
	fr.pass2.focus();
	return false
  }
  if(fr.pass3.value=="")
  {
    alert('确认密码不能为空！');
	fr.pass3.focus();
	return false
  }
  if((fr.pass2.value)!==(fr.pass3.value))
  {
     alert("新密码与确认密码不一致！");
	 fr.pass3.focus();
	 fr.pass3.select();
	 return false
  }
  return true
}
//用户
function check_pro(fr)
{
  if(fr.user.value=="")
  {
    alert('用户名不能为空！');
	fr.user.focus();
	return false
  }
  if(fr.pass.value=="")
  {
    alert('用户密码不能为空！')
	fr.pass.focus();
	return false
  }
  if(fr.pass2.value=="")
  {
    alert('确认密码不能为空！')
	fr.pass.focus();
	return false
  }
  if((fr.pass.value)!==(fr.pass2.value))
  {
     alert('两次输入的密码不一致！')
	 fr.pass2.focus();
	 fr.pass2.select();
	 return false
  }
  return true
}
//单页
function checkpages(fr)
{
  if(fr.title.value=="")
  {
     alert('名称不能为空！');
	 fr.title.focus();
	 return false
  }
  if(fr.temp.value=="")
  {
     alert('请选择模板！');
	 return false
  }
  if(fr.html.value=="")
  {
    alert('生成文件名不能为空！');
	fr.html.focus();
	return false
  }
  if(editor.html()=="")
  {
     alert("内容不能为空！");
     return false
   }
   if(editor.html().length<10)
   {
      alert('内容也太少了吧！');
      return false
    }
  fr.content.value=editor.html();
  return true
}
//分类展开
function class_show(meval)
{
  var left_n=eval(meval);
  if (left_n.style.display=="none")
  { eval(meval+".style.display='';"); }
  else
  { eval(meval+".style.display='none';"); }
}

function qxbox(boxs)
{
  for (i=0;i<boxs.length;i++)
  {
    boxs[i].checked=true;
  }
}
function fxbox(boxs)
{
  for (i=0;i<boxs.length;i++)
  {
    boxs[i].checked=!boxs[i].checked;
  }
}